%global srcname rest389
%global sum A rest based administration system for 389 Directory Server
%global vers 1.0.1

Name: python-%{srcname}
Summary: %{sum}
Version: %{vers}
Release: 1%{?dist}
%global tarver %{version}-1
Source0: http://www.port389.org/binaries/%{name}-%{tarver}.tar.bz2
License: GPLv3+
Group: Applications/System
BuildArch: noarch
Url: http://www.port389.org/docs/389ds/design/ldap-rest-api.html
%if 0%{?rhel}
BuildRequires: python-devel
BuildRequires: python-setuptools
%else
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%endif
%description
Provides a rest based administration UI and command line suite for managing 389 Directory Server

%package -n python2-%{srcname}
Summary:    %{sum}
Requires:   python2-lib389
%{?python_provide:%python_provide python2-%{srcname}}
%description -n python2-%{srcname}
Provides a rest based administration UI and command line suite for managing 389 Directory Server

# Can't build on EL7! Python3 tooling is too broken :( 
# We have to use >= 8, because <= 7 doesn't work ....
%if 0%{?rhel} >= 8 || 0%{?fedora}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:    %{sum}
Requires:   python%{python3_pkgversion}-lib389
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
%description -n python%{python3_pkgversion}-%{srcname}
Provides a rest based administration UI and command line suite for managing 389 Directory Server
%endif

%prep
%autosetup -n %{name}-%{tarver}

%build
%py2_build
%if 0%{?rhel} >= 8 || 0%{?fedora}
%py3_build
%endif

%install
%py2_install
%if 0%{?rhel} >= 8 || 0%{?fedora}
%py3_install
%endif

%post
output=/dev/null
output2=/dev/null
if [ -n "$DEBUGPOSTTRANS" ] ; then
   output=$DEBUGPOSTTRANS
   output2=${DEBUGPOSTTRANS}.upgrade
fi
has_dirsrv=`/usr/bin/egrep -i "^dirsrv_rest\>" /etc/passwd` || :
if [ "$has_dirsrv" = "" ]; then
  dirsrv_uid=636
    while [ "`getent passwd | awk -F: '{print $3}' | grep $dirsrv_uid`" != "" ]; do
    dirsrv_uid=`expr $dirsrv_uid + 1`
  done
    echo "User dirsrv_rest does not exist, create it with uid %dirsrv_uid." >> $output 2>&1 || :
    /usr/sbin/useradd -c "389-ds-base" -u $dirsrv_uid \
      -s /sbin/nologin -r -d /usr/share/dirsrv_rest dirsrv_rest 2> /dev/null || :
fi
has_dirsrv=`/usr/bin/egrep -i "^dirsrv_rest\>" /etc/group` || :
if [ "$has_dirsrv" = "" ]; then
    dirsrv_gid=636
    while [ "`getent group | grep $dirsrv_gid`" != "" ]; do
      dirsrv_gid=`expr $dirsrv_gid + 1`
    done
    echo "Group dirsrv_rest does not exist, create it with uid %dirsrv_gid." >> $output 2>&1 || :
    /usr/sbin/groupadd -g $dirsrv_gid -r dirsrv_rest 2> /dev/null || :
fi


%files -n python2-%{srcname}
%license LICENSE
%doc README
%{python2_sitelib}/*
# We don't provide the cli tools for python2
%exclude %{_sbindir}/*
%{_datarootdir}/rest389/examples/*

%if 0%{?rhel} >= 8 || 0%{?fedora}
%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README
%{python3_sitelib}/*
%{_sbindir}/*
%{_datarootdir}/rest389/examples/*
%endif

%changelog
* Tue Jan 5 2016 William Brown <firstyear@redhat.com> - 1.0.0
- Created specfile

